# $Revision: 1.93 $, $Date: 2002/10/29 19:40:26 $
#
# Conditional build:
# _with_ioctl_daemon    - with ioctl_daemon (suid-root!)
# _without_ncurses	- without new experimental ui
# _with_python          - with python support
# _without_voip	        - without voip support
#
Summary:	A client compatible with Gadu-Gadu
Summary(de):	Einen client kompatibel zu Gadu-Gadu
Summary(it):	Esperimentale cliente di Gadu-Gadu
Summary(pl):	Eksperymentalny Klient Gadu-Gadu
Name:		ekg
Version:	20021028
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/Communications
Source0:	http://dev.null.pl/ekg/%{name}-%{version}.tar.gz
URL:		http://dev.null.pl/ekg/
BuildRequires:	perl
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
%{?!_without_voip:BuildRequires: libgsm-devel}
%{?_with_python:BuildRequires: python-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A client compatible with Gadu-Gadu.

%description -l de
Einen client kompatibel zu Gadu-Gadu.

%description -l it
Esperimentale cliente di Gadu-Gadu.

%description -l pl
Eksperymentalny Klient Gadu-Gadu.

%package -n libgadu
Summary:	libgadu library
Summary(pl):	Biblioteka libgadu
Group:		Libraries
Obsoletes:	libgg
License:	LGPL

%description -n libgadu
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -n libgadu -l de
Mit libgadu ist es Ihnen mglich auf einfache Weise Gadu-Gadu
Kommunikations-Untersttzung in Ihre Software einzubinden.

%description -n libgadu -l pl
libgadu umoliwia atwe dodanie do rnych aplikacji komunikacji
bazujcej na protokole Gadu-Gadu.

%package -n libgadu-devel
Summary:	libgadu library development
Summary(pl):	Cz biblioteki libgadu dla programistw
Group:		Development/Libraries
Requires:	libgadu
Obsoletes:	libgg-devel
License:	LGPL

%description -n libgadu-devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%description -n libgadu-devel -l de
Das libgadu-devel Paket enthlt Header-Files (Kopfzeilenordner) und
die Dokumentation die Sie bentigen um mit libgadu Anwendungen zu
entwickeln.

%description -n libgadu-devel -l pl
Pakiet libgadu-devel zawiera pliki nagwkowe i dokumentacj,
potrzebne do kompilowania aplikacji korzystajcych z libgadu.

%package -n libgadu-static
Summary:	Static libgadu Library
Summary(pl):	Statyczna biblioteka libgadu
Group:		Development/Libraries
Requires:	libgadu-devel
Obsoletes:	libgg-static
License:	LGPL

%description -n libgadu-static
Static libgadu library.

%description -n libgadu-static -l de
Statisches libgadu Archiv.

%description -n libgadu-static -l pl
Statyczna biblioteka libgadu.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--enable-static \
	--enable-force-readline \
	%{?_with_python:--with-python} \
	%{?!_without_ncurses:--enable-ui-ncurses} \
	%{?_without_voip:--without-libgsm} \
	%{?!debug:--without-debug} \
	%{?!_with_ioctl_daemon:--disable-ioctld}
%{__make}

%{?_with_ioctl_daemon: (cd src && %{__make} ioctld )}
( cd docs/api && ./make.pl )

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

install contrib/ekl2.pl $RPM_BUILD_ROOT%{_bindir}
install contrib/ekl2.sh $RPM_BUILD_ROOT%{_bindir}
install docs/ekl2.man.pl $RPM_BUILD_ROOT%{_mandir}/pl/man1/ekl2.1
install docs/ekl2.man.en $RPM_BUILD_ROOT%{_mandir}/man1/ekl2.1

# For libgadu-devel

rm examples/Makefile examples/Makefile.in

%if %{?_with_ioctl_daemon:1}%{?!_with_ioctl_daemon:0}
install src/ioctld $RPM_BUILD_ROOT%{_bindir}
%endif

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libgadu.so.*.* libgadu.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libgadu -p /sbin/ldconfig
%postun -n libgadu -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/e*
%doc docs/{7thguard,dcc,emoticons,gdb,on,python,themes,ui,vars,voip}.txt
%doc ChangeLog docs/{FAQ,README,TODO,ULOTKA} docs/emoticons.{ansi,sample}
%{?_with_ioctl_daemon:%attr(4755,root,root) %{_bindir}/ioctld}
%{_datadir}/ekg
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files -n libgadu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so.*.*

%files -n libgadu-devel
%defattr(644,root,root,755)
%doc docs/{7thguard,api,dcc-protocol,devel-hints,http,przenosny-kod}.txt docs/protocol.html docs/api/ref.functions.html
%doc ChangeLog docs/{README,TODO} examples
%{_libdir}/libgadu.so
%{_includedir}/libgadu.h

%files -n libgadu-static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/libgadu.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ekg.spec,v $
Revision 1.93  2002/10/29 19:40:26  krzak
up to 20021028
fixes, few libgadu fixes
STBR

Revision 1.92  2002/10/08 00:17:34  baseciq
- up to 20021007
- *LOT* of fixes - see http://dev.null.pl/ekg/changelog.php
- STBR, please.

b0f3caf2482fb4b4e7533449cb92a2c4  ekg-20021007.tar.gz

Revision 1.91  2002/10/04 22:40:03  djurban
- with-ioctdl did not work, fixed.

Revision 1.90  2002/09/30 00:48:43  baseciq
- just update to 20020929

1eb27406c0af2362771edba549eba67b  ekg-20020929.tar.gz

Revision 1.89  2002/09/25 22:35:44  baseciq
- update to 20020925

5196a1280b6f20639f462feb3ec0bc6d  ekg-20020925.tar.gz

Revision 1.88  2002/09/11 11:16:52  baseciq
- just update to 20020911 (fixed segv)

Revision 1.87  2002/09/10 14:13:52  speedy
-- reverse bcond [without-ncurses]
-- fixed voip & python bcond

Revision 1.86  2002/09/08 06:53:09  baseciq
- python support as bcond - it's very experimental and doesn't work well
  with our python

Revision 1.85  2002/09/08 03:13:43  speedy
- sweet ui-ncurses...  magical experimental code - so use old poor ui-readline [or use --with ncurses]

Revision 1.84  2002/09/06 22:52:10  baseciq
- updated to 20020906
- now with powerfull, nice, sweet & magic ncurses user interface (anybody
  know how to setup old readline iface by default?)
- removed python include path hack from spec (thanks speedy)
- NOTE: if you wish to use old poor ui, type ekg -f readline
- STBR, pls

Revision 1.83  2002/08/26 09:24:09  baseciq
- updated to 20020825

Revision 1.82  2002/08/20 23:03:06  baseciq
- up to 20020820;
- added python support (experimental);
- new file in %doc: docs/python.txt;

Revision 1.81  2002/08/14 02:13:25  baseciq
- just update to 20020813 (see http://dev.null.pl/ekg/changelog.php for
  details)

Revision 1.80  2002/08/07 23:04:33  baseciq
- release 2 - the source has been modified...
- removed unneeded install's (ekg{search}*man*)
- introducing: ref.functions.html - list off all functions generated
  automagiclly from current sources each build (propably it need fix, i
  don't know is that the way it should be done)
- please rebuild all packages that requires libgadu (perl-Net-Gadu fe.)
  because so file version has been changed

Revision 1.79  2002/08/07 11:30:32  krzak
- update to version 20020807

Revision 1.78  2002/07/21 09:06:30  baseciq
- now builds using DESTDIR
- new doc: gdb.txt, przenosny-kod.txt, emoticons.ansi
- new bin: ekgsearch
- up to 20020720 (see http://dev.null.pl/ekg/changelog.php for details)
- rel 1

Revision 1.77  2002/07/20 15:01:33  qboosh
- don't run autoconf - not necessary and fails with ac 2.53
- added .so symlink to -devel

Revision 1.76  2002/07/19 21:26:48  baseciq
- added destdir patch (temporary, will disapear in next few hour)
- up to ekg-20020719
- new: ekgsearch
- temporary save

Revision 1.75  2002/07/18 11:45:16  baseciq
- up to 20020717
- temporary save

Revision 1.74  2002/07/07 13:21:33  baseciq
- up to 20020706
- updated protocol docs
- new file in libgadu-devel: http.txt (http part of gg protocol)
- fixed few bugs (incl. segv)
- read more at http://dev.null.pl/ekg/changelog.php ;-)

Revision 1.73  2002/06/29 22:35:53  baseciq
- up to 20020629;
- new doc/ui.txt;

Revision 1.72  2002/06/26 09:32:28  baseciq
- up to 20020625 (fixed segv while using -t param from cmdline)

Revision 1.71  2002/06/23 01:29:08  baseciq
- up to 20020622 (lot of fixes, see http://dev.null.pl/ekg/changelog.php)

Revision 1.70  2002/06/17 00:51:23  baseciq
- up to 20020616
- new %doc: voip.txt
- added buildrequires: libgsm-devel (support to voice chats)

Revision 1.69  2002/06/14 14:53:31  baseciq
- up to 20020613 (view http://dev.null.pl/ekg/changelog.php for more details)

Revision 1.68  2002/06/11 22:45:42  baseciq
- fixed ioctl_daemon -> ioctld

Revision 1.67  2002/06/11 19:18:47  baseciq
- version changed to current snapshot (sugested by wojtekka)
- up to 20020611
- cosmetics

Revision 1.66  2002/06/10 00:30:52  baseciq
- up to 20020609

Revision 1.65  2002/06/05 20:42:12  baseciq
- up to 20020605
- ekl2 english manpage

Revision 1.64  2002/06/04 01:18:53  baseciq
- new snapshot, so release back to 1

Revision 1.63  2002/06/04 01:16:49  baseciq
- update to 20020603

Revision 1.62  2002/06/01 21:09:53  orzech
- added ekl2.man.pl
- adapterized

Revision 1.61  2002/05/31 10:28:41  gotar
- changed group to Applications/Communications,
- release 2.

Revision 1.60  2002/05/29 21:25:50  baseciq
- removed CONFIG_DIR patch (doesn't needed anymore)
- up to 20020529

Revision 1.59  2002/05/29 20:31:29  baseciq
- it summary/description for ekg (by Iga M. Karasinska <iga@zacisze.org>)
- cosmetics

Revision 1.58  2002/05/29 19:36:07  kloczek
- sort translations.

Revision 1.57  2002/05/29 19:15:12  baseciq
- more de translations (by Monchichi <monchichi@uni-entenhausen.de>)

Revision 1.56  2002/05/29 18:04:17  baseciq
- added de descriptions for ekg (thanks for monchichi@uni-entenhausen.de)

Revision 1.55  2002/05/29 13:37:48  orzech
- added (new) home_etc.patch

Revision 1.54  2002/05/28 20:36:42  baseciq
- update to 20020528
- removed protocol.txt
- added protocol.html

Revision 1.53  2002/05/25 19:52:13  baseciq
- update to 20020525
- new files: doc/emoticons.{txt,sample}

Revision 1.52  2002/05/23 00:33:54  kloczek
- cosmetics (reordering in %files).

Revision 1.51  2002/05/23 00:12:13  baseciq
- agrh, Changelog.gz fixed ;)

Revision 1.50  2002/05/23 00:10:36  baseciq
- adapted specfile for new %doc packing infrastructure.

Revision 1.49  2002/05/22 23:26:06  kloczek
- use new %doc packing infrastructure.

Revision 1.48  2002/05/22 23:01:03  baseciq
- update to 20020522

Revision 1.47  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/05/18 00:27:41  baseciq
- added examples to libgadu-devel

Revision 1.45  2002/05/18 00:07:18  baseciq
- update to 20020518

Revision 1.44  2002/05/16 22:56:14  lukasz
- update to 20020516

Revision 1.43  2002/05/16 00:19:49  baseciq
- update to 20020515

Revision 1.42  2002/05/11 20:01:40  baseciq
- update to 20020511

Revision 1.41  2002/05/07 17:05:27  baseciq
- updateded to 20020506
- fixed license info (ekg - GPL, libgadu* - LGPL)

Revision 1.40  2002/05/02 14:26:44  baseciq
- update to 20020501;
- added doc/ULOTKA to ekg;
- licence changed to LGPL;
- see http://dev.null.pl/ekg/changelog.php for details ;)

Revision 1.39  2002/04/25 23:24:31  baseciq
update to 20020425 (http://dev.null.pl/ekg/changelog.php)

Revision 1.38  2002/04/25 16:14:45  arturs
fixed a small typo

Revision 1.37  2002/04/23 14:51:29  baseciq
- updated to 20020422

Revision 1.36  2002/04/18 11:52:00  baseciq
- updated to 20020416 (http://dev.null.pl/ekg/changelog.php)

Revision 1.35  2002/04/15 16:17:49  aflinta
- updated to 20020414
- added dcc-protocol.txt to libgadu-devel
- added ekl2.pl, ekl2.sh to ekg
- Modified by Baseciq ;)

Revision 1.34  2002/04/04 09:02:44  djrzulf
- updated to 20020403,
- STBR,

Revision 1.33  2002/03/22 22:51:44  martii
-updated to 20020322 snapshot

Revision 1.32  2002/03/17 05:43:48  martii
- Snapshot: 20020315

Revision 1.31  2002/02/24 11:43:02  jajcus
- Snapshot: 20020223

Revision 1.30  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/06 17:14:05  jajcus
- snapshot: 20020205
- ioctl_daemon is now conditional (default off)

Revision 1.27  2002/02/05 11:34:58  gotar
- updated to 20020204 (libgg -> libgadu),
- ekl.pl moved from doc to bin,
- added SUID ROOT ioctl_daemon,
- fixed placing themes,
- cut of libgg.so - ldconfig does make this link.

Revision 1.26  2002/02/02 20:02:04  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.25  2002/01/24 20:18:57  kloczek
- release 2.

Revision 1.24  2002/01/24 13:38:06  jajcus
- include libgg.so in libgg-devel
- rebuild configure script

Revision 1.23  2002/01/23 12:28:06  jajcus
- snapshot 20020123 STBR
- pl manpage now in ekg tarball
- man-bugfix patch removed

Revision 1.22  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2002/01/04 07:58:31  gotar
- updated to 20020102.

Revision 1.20  2002/01/03 23:15:23  gotar
- added english man page,
- added patch fixing polish man page,
- fixed placing man pages,
- use %{__make} macro,
= a+x libgg.so.* (libgg subpackage),
- removed libgg.so link (libgg-devel subpackage),
- cosmetics,
- release 2.

Revision 1.19  2001/12/17 12:58:58  misiek
- use %%configure macro

Revision 1.18  2001/12/16 12:26:29  speedy
- updated to 20011215.
- new api [nfy]

Revision 1.17  2001/12/08 23:43:48  speedy
- updated.

Revision 1.16  2001/12/02 14:27:01  speedy
- updated to 20011201.

Revision 1.15  2001/11/21 23:51:31  undefine
- added %{_datadir}/ekg to package

Revision 1.14  2001/11/17 23:05:35  speedy
- updated to 20011117

Revision 1.13  2001/11/13 21:17:28  speedy
- updated to 20011112
- fixed "broken" symlinks in libgg.

Revision 1.12  2001/11/12 15:28:11  djrzulf
- corected some errors on symlinks in libgg.

Revision 1.11  2001/11/12 01:37:28  speedy
- introduced: libgg-static subpackage
- updated to 20011111

Revision 1.10  2001/11/10 22:46:02  speedy
- introduced: libgg and libgg-devel subpackage

Revision 1.9  2001/11/10 18:09:17  klakier
- ver 20011109

Revision 1.8  2001/11/05 15:26:26  djrzulf
- updated to 20011105

Revision 1.7  2001/10/28 09:54:35  undefine
- updated to 20011027
- debug ready

Revision 1.6  2001/10/21 13:38:10  undefine
- updated to 2001101402

Revision 1.5  2001/10/04 12:55:54  areq
- snapshot 2001100201

Revision 1.4  2001/10/03 19:37:27  kloczek
- cosmetics.

Revision 1.3  2001/10/02 11:24:25  areq
- snapshot 2001100103, STBR

Revision 1.2  2001/10/01 00:00:51  agaran
new snap

Revision 1.1  2001/09/29 12:04:20  areq
- init PLD spec
- snapshot 2001092902
